import { BulletOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BulletChartProps = Writeable<Omit<BaseChartProps<BulletOptions>, 'chart'> & BulletOptions>;
declare const BulletChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<BulletOptions>, "chart"> & BulletOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: {
        measure?: import("@antv/g2plot").ColorAttr | undefined;
        target?: import("@antv/g2plot").ColorAttr | undefined;
        range?: import("@antv/g2plot").ColorAttr | undefined;
    } | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BulletOptions> | null> | undefined;
    label?: {
        measure?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
        target?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
        range?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
    } | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: unknown;
    xField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    yAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    measureField?: string | undefined;
    rangeField?: string | undefined;
    targetField?: string | undefined;
    size?: {
        measure?: import("@antv/g2plot").SizeAttr | undefined;
        target?: import("@antv/g2plot").SizeAttr | undefined;
        range?: import("@antv/g2plot").SizeAttr | undefined;
    } | undefined;
    bulletStyle?: {
        measure?: import("@antv/g2plot").StyleAttr | undefined;
        target?: import("@antv/g2plot").StyleAttr | undefined;
        range?: import("@antv/g2plot").StyleAttr | undefined;
    } | undefined;
    layout?: "horizontal" | "vertical" | undefined;
}>, {
    class: any;
}>;
export default BulletChart;
