import { BarOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BarChartProps = Writeable<Omit<BaseChartProps<BarOptions>, 'chart'> & BarOptions>;
declare const BarChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<BarOptions>, "chart"> & BarOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BarOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: unknown;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    isStack?: boolean | undefined;
    isPercent?: boolean | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    yAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    isGroup?: boolean | undefined;
    isRange?: boolean | undefined;
    marginRatio?: number | undefined;
    columnBackground?: {
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
    groupField?: string | undefined;
    conversionTag?: false | import("@antv/g2plot/lib/adaptor/conversion-tag").ConversionTagOptions | undefined;
    connectedArea?: false | import("@antv/g2plot/lib/adaptor/connected-area").ConnectedAreaOptions | undefined;
    barStyle?: import("@antv/g2plot").StyleAttr | undefined;
    barWidthRatio?: number | undefined;
    minBarWidth?: number | undefined;
    maxBarWidth?: number | undefined;
    barBackground?: {
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
}>, {
    class: any;
}>;
export default BarChart;
