import { SunburstOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type SunburstChartProps = Writeable<Omit<BaseChartProps<SunburstOptions>, 'chart'> & SunburstOptions>;
declare const SunburstChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<SunburstOptions>, "chart"> & SunburstOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
    data: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<SunburstOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    meta?: unknown;
    seriesField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    type?: string | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    colorField?: string | undefined;
    reflect?: "x" | "y" | undefined;
    sunburstStyle?: import("@antv/g2plot").StyleAttr | undefined;
    hierarchyConfig?: Omit<import("@antv/g2plot/lib/utils/hierarchy/types").HierarchyOption, "field" | "type" | "as"> | undefined;
}>, {
    class: any;
    data: any;
}>;
export default SunburstChart;
