import { RadarOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type RadarChartProps = Writeable<Omit<BaseChartProps<RadarOptions>, 'chart'> & RadarOptions>;
declare const RadarChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<RadarOptions>, "chart"> & RadarOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
    xAxis: any;
    yAxis: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<RadarOptions> | null> | undefined;
    area?: import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: unknown;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    smooth?: boolean | undefined;
    point?: (import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions & Pick<import("@antv/g2plot/lib/adaptor/geometries").PointGeometryOptions, "state">) | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    radius?: number | undefined;
    startAngle?: number | undefined;
    endAngle?: number | undefined;
    lineStyle?: import("@antv/g-base").ShapeAttrs | ((x: any, y: any, series?: any) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
    xAxis: any;
    yAxis: any;
}>;
export default RadarChart;
