import { WordCloudOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type WordCloudChartProps = Writeable<Omit<BaseChartProps<WordCloudOptions>, 'chart'> & WordCloudOptions>;
declare const WordCloudChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<WordCloudOptions>, "chart"> & WordCloudOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<WordCloudOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    yAxis?: import("@antv/g2plot/lib/types/axis").Axis | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    colorField?: string | undefined;
    wordField?: string | undefined;
    weightField?: string | undefined;
    imageMask?: string | HTMLImageElement | undefined;
    timeInterval?: number | undefined;
    random?: number | undefined;
    spiral?: "archimedean" | "rectangular" | undefined;
    placementStrategy?: ((word: import("@antv/g2plot/lib/plots/word-cloud/types").Word, index?: number | undefined, words?: import("@antv/g2plot/lib/plots/word-cloud/types").Word[] | undefined) => Partial<import("@antv/g2plot/lib/plots/word-cloud/types").Tag> & {
        x: number;
        y: number;
    }) | undefined;
    wordStyle?: import("@antv/g2plot/lib/plots/word-cloud/types").WordStyle | undefined;
}>, {
    class: any;
}>;
export default WordCloudChart;
